Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.directory.directoryMemberTestExtension({
memberId: 922412,
timestamp: "2024-07-02T14:32:47.235Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.directory.directory_member_test_extension(member_id=922412, timestamp="2024-07-02T14:32:47.235Z")
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/directory_members/{member_id}/test \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/directory_members/{member_id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extension": "<string>",
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}directory
Test Directory Member Extension
Test directory member extension at a specific timestamp and language.
GET
/
api
/
v1
/
directory_members
/
{member_id}
/
test
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.directory.directoryMemberTestExtension({
memberId: 922412,
timestamp: "2024-07-02T14:32:47.235Z",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.directory.directory_member_test_extension(member_id=922412, timestamp="2024-07-02T14:32:47.235Z")
# Handle response
print(res)Authorizations
Path Parameters
Query Parameters
Timestamp for test in ISO 8601 format (e.g., 2025-12-04T14:29:39)
Optional language code for test BCP 47 codes of languages that Syllable supports.
Available options:
yue-HK, en-US, ko-KR, zh-CN, fa-IR, es-US, th-TH, vi-VN, bs-BA, sw-KE, ru-RU, hi-IN, gu-IN, ar-XA, fr-FR, ja-JP, ne-NP ⌘I

